Drastic on Android 2.3.2

Discuss anything about DraStic here.
Post Reply
Leon27
Posts: 4
Joined: Mon Sep 30, 2019 7:23 pm

Drastic on Android 2.3.2

Post by Leon27 » Tue Oct 01, 2019 5:15 am

Hello,
I've recently purchased Drastic and would like to use it on my Xperia Play because of its gamepad. Unfortunately, the Play Store doesn't list the older versions of the app anymore meaning that it is impossible to download the App for Android 2.3.2. Is it somehow possible to obtain an older version of Drastic that runs on older Android versions? Some apps allow the last compatible version to be downloaded from the Play Store as far as I know. Any help would be appreciated :)

User avatar
kaikun97
Posts: 592
Joined: Thu Dec 26, 2013 11:41 am
Location: England

Re: Drastic on Android 2.3

Post by kaikun97 » Tue Oct 01, 2019 7:46 am

Only the very old versions supported Android 2.3 which had problems with a lot of games. If you want to run Drastic on your Xperia Play you should consider installing a custom rom to run Android 4.0 on it which is the current minimum requirement, but the Xperia Play isn't really powerful enough to run Drastic DS smoothly considering it was released in 2011 and only has a single core CPU.

Leon27
Posts: 4
Joined: Mon Sep 30, 2019 7:23 pm

Re: Drastic on Android 2.3.2

Post by Leon27 » Tue Oct 01, 2019 3:39 pm

Thanks for your answer! Actually, I wouldn't mind if a lot of games didn't work. I watched a couple of videos on YouTube demonstrating DraStic on the Xperia Play and those games I wanted to play seemed to work just fine (or at least good enough for me). Even if some were unplayable that wouldn't be a deal breaker for me, I really don't have high expectations.

Installing a custom rom isn't really a practical solution as it probably slows down the system overall. Also, it requires a lot of work and I don't want to risk breaking my system as I don't have any experience in doing something like this.

Is there some way to get an older version of DraStic that supports Android 2.3.2? I would use it at my own risk, of course. This really seems to be the only possibility for me to use a DS Emulator on the Xperia Play :(

Leon27
Posts: 4
Joined: Mon Sep 30, 2019 7:23 pm

Re: Drastic on Android 2.3.2

Post by Leon27 » Thu Oct 03, 2019 5:17 pm

Any ideas?

User avatar
kaikun97
Posts: 592
Joined: Thu Dec 26, 2013 11:41 am
Location: England

Re: Drastic on Android 2.3.2

Post by kaikun97 » Thu Oct 03, 2019 5:46 pm

Leon27 wrote:
Thu Oct 03, 2019 5:17 pm
Any ideas?
Not really, even if you could install an older version, it would probably fail the Play Store license verification check since they are older versions. Since August 31st this year, Google enforced a policy that updates to apps on the Play Store must now be 64 bit which is also potentially one of the reasons it won't let you download the last compatible version.

This is more or less a situation where you need to upgrade to a newer device now.

xperia64
Posts: 223
Joined: Fri Feb 28, 2014 7:41 pm

Re: Drastic on Android 2.3.2

Post by xperia64 » Thu Oct 03, 2019 6:00 pm

The 64-bit policy just means we must provide 64-bit libraries if we provide 32-bit ones.

It's probably marked as incompatible due to relying on newer versions of Google Play Services.

Leon27
Posts: 4
Joined: Mon Sep 30, 2019 7:23 pm

Re: Drastic on Android 2.3.2

Post by Leon27 » Thu Oct 03, 2019 8:44 pm

Thanks for your answers.
I have no issues installing other apps from the Play Store. A lot of apps still support Android 2.3 or at least have the last compatible version up for download. This means if there was an older version of DraStic available, I could install and use it. It wouldn't even necessarily be through the Play Store.

User avatar
kaikun97
Posts: 592
Joined: Thu Dec 26, 2013 11:41 am
Location: England

Re: Drastic on Android 2.3.2

Post by kaikun97 » Fri Oct 04, 2019 3:00 am

Leon27 wrote:
Thu Oct 03, 2019 8:44 pm
Thanks for your answers.
I have no issues installing other apps from the Play Store. A lot of apps still support Android 2.3 or at least have the last compatible version up for download. This means if there was an older version of DraStic available, I could install and use it. It wouldn't even necessarily be through the Play Store.
I'm afraid we can't help you find an old version, there isn't an officially supported way to do that, not without the app either:

a) Failing the Play Store License Verification (Because Android 2.3 doesn't support the latest version of Google Play Services since 2017 which is what is required, this already signifies Google plans to completely stop supporting 2.3 soon).

b) Most old cracked versions without this check intentionally make themselves buggy if they detect they are cracked and we don't provide support for them.

So you are on your own here, all I can say is that you should invest in upgrading your phone to one that runs a modern version of Android and perhaps buy a bluetooth controller for it (one that can hold the phone).

Post Reply